#
#      Makefile pour le client Nilorea
#


CC := gcc
CFLAGS += -g -W -Wall -pedantic -std=gnu99 
LIBS= -lnilorea -lalttf -lalleggl -lalleg44 -luser32 -lgdi32 -lopengl32 -lglu32 -lglaux -lglut -lwsock32 -lws2_32 -lpthreadGC2 -lWinmm 

TARGET=exclient exserver exnetwmsg test_exceptions


all: $(TARGET)

default: all

cleandefault: clean default
	
exclient: exclient.o
	$(COMPILE.c) exclient.c
	$(LINK.c) -o exclient.exe exclient.o $(LIBS)
	  
exserver: exserver.o
	$(COMPILE.c) exserver.c
	$(LINK.c) -o exserver.exe exserver.o $(LIBS)
	 